Update Experiment
curl --request PUT \
--url https://dash.tinyanalytics.io/api/sites/{site}/experiments/{experimentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "completed",
"winningVariant": "treatment"
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/experiments/{experimentId}"
payload = {
"status": "completed",
"winningVariant": "treatment"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'completed', winningVariant: 'treatment'})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/experiments/{experimentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Experiment
Partial update; primaryGoalId:null clears the goal
PUT
/
sites
/
{site}
/
experiments
/
{experimentId}
Update Experiment
⌘I